Rudiments: xmlsax Class Reference

Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
xmlsax Class Reference

Inherited by xmldom.

## Public Member Functions
| xmlsax ()
virtual | ~xmlsax ()
virtual bool | parseFile (const char *filename)
virtual bool | parseString (const char *string)
const char * | getError ()

## Protected Member Functions
virtual bool | tagStart (const char *ns, const char *name)
virtual bool | attributeName (const char *name)
virtual bool | attributeValue (const char *value)
virtual bool | text (const char *string)
virtual bool | tagEnd (const char *ns, const char *name)
virtual bool | comment (const char *string)
virtual bool | cdata (const char *string)

## Detailed Description

The xmlsax class is a base class for an XML SAX parser. To use this class, you should create a class that inherits from it and implements the virtual methods.

## Constructor & Destructor Documentation

xmlsax::xmlsax | ( |  | ) |

Creates an instance of the xmlsax class.

virtual xmlsax::~xmlsax | ( |  | ) |
| virtual

Deletes this instance of the xmlsax class.

## Member Function Documentation

virtual bool xmlsax::attributeName | ( | const char * | name | ) |
| protectedvirtual

Gets called when an attribute name is parsed.

virtual bool xmlsax::attributeValue | ( | const char * | value | ) |
| protectedvirtual

Gets called when an attribute value is parsed.

virtual bool xmlsax::cdata | ( | const char * | string | ) |
| protectedvirtual

Gets called when cdata is parsed.

virtual bool xmlsax::comment | ( | const char * | string | ) |
| protectedvirtual

Gets called when a comment is parsed.

const char* xmlsax::getError | ( |  | ) |

If parseFile() or parseString() fails, this method returns the error that caused the failure.

virtual bool xmlsax::parseFile | ( | const char * | filename | ) |
| virtual

Parses file "filename" and calls the appropriate callback when tags, attributes, text, etc. are encountered.

Returns true on success or false otherwise.

Reimplemented in xmldom.

virtual bool xmlsax::parseString | ( | const char * | string | ) |
| virtual

Parses "string" and calls the appropriate callback when tags, attributes, text, etc. are encountered.

Returns true on success or false otherwise.

Reimplemented in xmldom.

virtual bool xmlsax::tagEnd | ( | const char * | ns,
|  | const char * | name
| ) |  |
| protectedvirtual

Gets called when an end tag is parsed.

virtual bool xmlsax::tagStart | ( | const char * | ns,
|  | const char * | name
| ) |  |
| protectedvirtual

Gets called when a start tag is parsed.

virtual bool xmlsax::text | ( | const char * | string | ) |
| protectedvirtual

Gets called when a block of text is parsed.